import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { addStoryInGroup, LOW_LEVEL_BLOCKS } from '../../../.storybook/utils';
import { Input, Label } from '../../index';
export default {
  component: Label,
  title: addStoryInGroup(LOW_LEVEL_BLOCKS, 'Form elements/Label')
};
export var DefaultStory = function DefaultStory(args) {
  return /*#__PURE__*/React.createElement(Label, _extends({}, args, {
    htmlFor: "input1"
  }), "Input label", /*#__PURE__*/React.createElement(Input, {
    id: "input1",
    placeholder: "I am the placeholder"
  }));
};
DefaultStory.args = {
  tooltip: 'This is the label tooltip text'
};
DefaultStory.storyName = 'Label + Input';
export var SoloLabelStory = function SoloLabelStory(args) {
  return /*#__PURE__*/React.createElement(Label, args, "Label");
};